import request from '@/utils/request'

// 查询质量月报S4012列表
export function listS4012(query) {
  return request({
    url: '/production/s4012/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S4012详细
export function getS4012(id) {
  return request({
    url: '/production/s4012/' + id,
    method: 'get'
  })
}

// 新增质量月报S4012
export function addS4012(data) {
  return request({
    url: '/production/s4012',
    method: 'post',
    data: data
  })
}

// 修改质量月报S4012
export function updateS4012(data) {
  return request({
    url: '/production/s4012',
    method: 'put',
    data: data
  })
}

// 删除质量月报S4012
export function delS4012(id) {
  return request({
    url: '/production/s4012/' + id,
    method: 'delete'
  })
}

// 导出质量月报S4012
export function exportS4012(query) {
  return request({
    url: '/production/s4012/export',
    method: 'get',
    params: query
  })
}